Subject: [AVT] Need clarification on protocol type for RFC 2793 text media

From: Rajesh Kumar <[email-masked]>
Date: Tue, 11 Mar 2003 10:04:39 -0800

Gunnar and Steve,
While RFC 2793 defines an RTP encapsulation for the text media, it does not 
clearly state that the SDP protocol name associated with the MIME text/t140 
is RTP/AVP. Can one assume that?

Of the five protocol names (SDP proto parameter values) listed by the IANA 
at http://www.iana.org/assignments/sdp-parameters, RTP/AVP does seem to be 
the most suitable. The other ones are rtp (historic), vat (historic), udptl 
and tcp. One may, of course, define a new protocol name/profile that 
includes RTP encapsulations of text, but I would advise against doing that. 
TTY devices often interleave voice and text, and it would be simpler to 
keep text/t140 under the RTP/AVP umbrella.

It would be nice if RFC 2793 has SDP examples just as RFC 2198, RFC 2733, 
RFC 2833 etc. do. But there are none.  Here is a possible example. Please 
let us know if this is what you had in mind when you registered the MIME 
type text/t140.

If an IP endpoint/gateway dedicates a UDP port to RFC 2793 text relay, the 
media line for the text relay stream is as follows:
m=text <port #> RTP/AVP <payload type>
a=rtpmap:<payload type> t140

This is consistent with the text/t140 MIME definition in RFC 2793. It maps 
an RTP payload type to the MIME text/t140.   For example,

m=text 49232 RTP/AVP 100
a=rtpmap:100 t140

indicates that the IP endpoint or gateway is willing to receive an RFC 
2793-based RTP packet stream with a payload type of 100 on port  49232.

Thanks for your guidance in thismatter.

Rajesh

---

From: Colin Perkins <[email-masked]>
Date: Tue, 11 Mar 2003 13:17:36 -0500

Rajesh,

>is RTP/AVP. Can one assume that?

An RTP payload format can be used under multiple RTP profiles.  To date,
there is only one profile [RFC 1890] and that is denoted by RTP/AVP. You
almost certainly want to use this.

In the future, we have two more profiles in development:
	RTP/SAVP	draft-ietf-avt-srtp-05.txt
	RTP/AVPF	draft-ietf-avt-rtcp-feedback-05.txt
If you use either of those profiles, you would use the appropriate name to
identify them.

>2793-based RTP packet stream with a payload type of 100 on port  49232.

This is the standard mapping, provided you are operating under the RTP
profile defined in RFC 1890.

Colin
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Stephen Casner <[email-masked]>
Date: Tue, 11 Mar 2003 10:26:42 -0800 (PST)

Rajesh,

> is RTP/AVP. Can one assume that?

It is intentional that the payload format does not specify the RTP
profile under which it may be used because it may be used under
different profiles for different applications if needed.

At this moment, RTP/AVP is the only profile that has been published as
an RFC, but two more (RTP/SRTP and RTP/AVPF) are very close.

> keep text/t140 under the RTP/AVP umbrella.

Yes, it is appropriate to use text/t140 under rtp/avp.

> let us know if this is what you had in mind when you registered the MIME

Yes, having SDP examples is handy, although not required (since using
SDP is not required).

> 2793-based RTP packet stream with a payload type of 100 on port  49232.

The mapping you have shown is valid.  It follows the established rules
in draft-ietf-mmusic-sdp-new-12.txt and draft-ietf-avt-rtp-mime-06.txt.

                                                        -- Steve

---

From: Gunnar Hellstrom <[email-masked]>
Date: Wed, 12 Mar 2003 22:06:46 +0100

Rajesh,
Stephen and Colin have already given you good answers.

I can only add that it has become a habit to specify RFC2793 under the
RTP/AVP model.

It is used in

1.the examples in ITU-T H.248.2

2.In RFC 3551

http://www.ietf.org/rfc/rfc3351.txt?number=3351

3. In a transcoding draft
http://www.ietf.org/internet-drafts/draft-camarillo-sip-deaf-01.txt

Please notice that it would be a good habit to specify some redundancy. That
could imply that a suitable m= specification ends up like this:

m=text 49232 RTP/AVP 100 102
a=rtpmap:102 red
a=fmtp: 102 100/100
a=rtpmap:100 t140

Best regards
Gunnar
-------------------------------------------
Gunnar Hellstrom
Omnitor AB
Renathvagen 2
SE 121 37 Johanneshov
SWEDEN
+46 8 556 002 03
Mob: +46 708 204 288
www.omnitor.se
[email-masked]
--------------------------------------------

> -----Ursprungligt meddelande-----
> Fran: [email-masked] [mailto:[email-masked]]For Stephen Casner
> Skickat: den 11 mars 2003 19:27
> Till: Rajesh Kumar
> Kopia: [email-masked]; [email-masked]; mario Garakani;
> [email-masked]; [email-masked]; [email-masked]
> Amne: [AVT] Re: Need clarification on protocol type for RFC 2793 text
> media
>
>
> Rajesh,
>